corda / net.corda.core.schemas.requery.converters / SecureHashConverter

# SecureHashConverter

`class SecureHashConverter : Converter<SecureHash, String>`

Convert from a SecureHash to a String

### Constructors

<init> | `SecureHashConverter()` Convert from a SecureHash to a String

### Functions

convertToMapped | `fun convertToMapped(type: Class<out SecureHash>, value: String?): SecureHash?`
convertToPersisted | `fun convertToPersisted(value: SecureHash?): String?`
getMappedType | `fun getMappedType(): Class<SecureHash>`
getPersistedSize | `fun getPersistedSize(): Int?` SecureHash consists of 32 bytes which need VARCHAR(64) in hex TODO: think about other hash widths
getPersistedType | `fun getPersistedType(): Class<String>`